package entities

import (
	"time"
)

type ProductionStandardDetail struct {
	Id                       uint       `gorm:"primaryKey;autoIncrement"`
	ProductionStandardId     uint       `gorm:"not null"`
	Week                     int        `gorm:"not null"`
	TargetHenDayProduction   *float64   `gorm:"type:numeric(15,3)"`
	TargetHenHouseProduction *float64   `gorm:"type:numeric(15,3)"`
	TargetEggWeight          *float64   `gorm:"type:numeric(15,3)"`
	TargetEggMass            *float64   `gorm:"type:numeric(15,3)"`
	StandardFCR              *float64   `gorm:"type:numeric(15,3)"`
	CreatedAt                time.Time  `gorm:"type:timestamptz;not null"`
	UpdatedAt                time.Time  `gorm:"type:timestamptz;not null"`

	ProductionStandard ProductionStandard `gorm:"foreignKey:ProductionStandardId;references:Id"`
}
